summaryrefslogtreecommitdiff
path: root/init.d/70vcs-add
diff options
context:
space:
mode:
authorJoey Hess <joey@kodama.kitenet.net>2008-03-11 15:03:24 -0400
committerJoey Hess <joey@kodama.kitenet.net>2008-03-11 15:03:24 -0400
commit6398f205b74c158eecdf2ed6a057f77f64db0340 (patch)
treee0ad2676db44d647972ea7a3fbbccb46aaa3a798 /init.d/70vcs-add
parent93b0abfb666273774e3c418f31396b5b5ad1c043 (diff)
* Add support for bzr, thanks to Mark A. Hershberger. Closes: #470515
(Note that bzr does not support etckeeper's pre-commit hook.)
Diffstat (limited to 'init.d/70vcs-add')
-rwxr-xr-xinit.d/70vcs-add4
1 files changed, 4 insertions, 0 deletions
diff --git a/init.d/70vcs-add b/init.d/70vcs-add
index 8cf60d0..e6ab3d1 100755
--- a/init.d/70vcs-add
+++ b/init.d/70vcs-add
@@ -9,4 +9,8 @@ elif [ "$VCS" = hg ]; then
if ! hg add .; then
echo "etckeeper warning: hg add failed" >&2
fi
+elif [ "$VCS" = bzr ]; then
+ if ! bzr add .; then
+ echo "etckeeper warning: bzr add failed" >&2
+ fi
fi